DBusWatchList Struct Reference
D-Bus secret internal implementation details » DBusWatch implementation details

DBusWatchList implementation details. More...

## Data Fields

DBusList * | watches
| Watch objects.
DBusAddWatchFunction | add_watch_function
| Callback for adding a watch.
DBusRemoveWatchFunction | remove_watch_function
| Callback for removing a watch.
DBusWatchToggledFunction | watch_toggled_function
| Callback on toggling enablement.
void * | watch_data
| Data for watch callbacks.
DBusFreeFunction | watch_free_data_function
| Free function for watch callback data.

## Detailed Description

DBusWatchList implementation details.

All fields are private.

Definition at line 216 of file dbus-watch.c.

## Field Documentation

## add_watch_function

DBusAddWatchFunction DBusWatchList::add_watch_function

Callback for adding a watch.

Definition at line 220 of file dbus-watch.c.

Referenced by _dbus_watch_list_add_watch(), and _dbus_watch_list_set_functions().

## remove_watch_function

DBusRemoveWatchFunction DBusWatchList::remove_watch_function

Callback for removing a watch.

Definition at line 221 of file dbus-watch.c.

Referenced by _dbus_watch_list_remove_watch(), and _dbus_watch_list_set_functions().

## watch_data

void* DBusWatchList::watch_data

Data for watch callbacks.

Definition at line 223 of file dbus-watch.c.

Referenced by _dbus_watch_list_add_watch(), _dbus_watch_list_remove_watch(), _dbus_watch_list_set_functions(), and _dbus_watch_list_toggle_watch().

## watch_free_data_function

DBusFreeFunction DBusWatchList::watch_free_data_function

Free function for watch callback data.

Definition at line 224 of file dbus-watch.c.

Referenced by _dbus_watch_list_set_functions().

## watch_toggled_function

DBusWatchToggledFunction DBusWatchList::watch_toggled_function

Callback on toggling enablement.

Definition at line 222 of file dbus-watch.c.

Referenced by _dbus_watch_list_set_functions(), and _dbus_watch_list_toggle_watch().

## watches

DBusList* DBusWatchList::watches

Watch objects.

Definition at line 218 of file dbus-watch.c.

Referenced by _dbus_watch_list_add_watch(), _dbus_watch_list_free(), _dbus_watch_list_remove_watch(), _dbus_watch_list_set_functions(), and _dbus_watch_list_toggle_all_watches().

The documentation for this struct was generated from the following file:

- dbus-watch.c